[Mac] Unable to load Java Runtime Environment

You may see the error Unable to load Java Runtime Environment if you try to play Old School RuneScape on a Mac without a suitable version of Java installed.

To get the latest Java Runtime Environment onto your machine, please head to www.java.com and follow the steps provided.

What if this didn't solve my issue?

We have created a list of solutions for common client issuesperformance issues and Common Browser Issues, which should help you out!

Was this article helpful?